Skip to main content
POST
/
tasks
/
list
List CRM tasks with filters: status, assigned_to_me, due_today, due_before, search
curl --request POST \
  --url https://api.supersonic.cv/tasks/list \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "status": "todo",
  "priority": "low",
  "assigned_to_me": true,
  "assigned_to": "<string>",
  "due_today": true,
  "due_before": "<string>",
  "search": "<string>",
  "record_id": "<string>",
  "page": 123,
  "per_page": 123
}
'
{}

Authorizations

Authorization
string
header
required

API key: supersonic_live_...

Body

application/json
status
enum<string>

Filter by status

Available options:
todo,
in_progress,
done
priority
enum<string>
Available options:
low,
medium,
high,
urgent
assigned_to_me
boolean

Show only my tasks

assigned_to
string

Member UUID

due_today
boolean
due_before
string

ISO datetime

record_id
string

Filter by linked record

page
integer
per_page
integer

Response

Success

The response is of type object.